%define anolis_release 4
%global debug_package %{nil}
%global _efi_vendor_ anolis

Name: efi-rpm-macros
Version: 5
Release: %{anolis_release}%{?dist}
Summary: Common RPM Macros for building EFI-related packages
License: GPLv3+
URL: https://github.com/rhboot/%{name}/
BuildRequires: git
BuildRequires: sed
BuildRequires: make
BuildArch: noarch

Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.bz2

PATCH1001: 0001-PATCH-Don-t-have-arm-as-an-alt-arch-of-aarch64.patch

%description
%{name} provides a set of RPM macros for use in EFI-related packages.

%package -n efi-srpm-macros
Summary: Common SRPM Macros for building EFI-related packages
Requires: rpm
BuildArch: noarch

%description -n efi-srpm-macros
efi-srpm-macros provides a set of SRPM macros for use in EFI-related packages.

%package -n efi-filesystem
Summary: The basic directory layout for EFI machines
Requires: filesystem
BuildArch: noarch

%description -n efi-filesystem
The efi-filesystem package contains the basic directory layout for EFI
machine bootloaders and tools.

%package doc
Summary:        Documentation files for %{name}
Requires:       efi-srpm-macros = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git_am -n %{name}-%{version} -p1
git config --local --add efi.vendor "%{_efi_vendor_}"
git config --local --add efi.esp-root /boot/efi
git config --local --add efi.arches "x86_64 aarch64 %{arm} %{ix86}"

%build
%make_build clean all

%install
%make_install

%files -n efi-srpm-macros
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_rpmmacrodir}/macros.efi-srpm
%{_rpmconfigdir}/brp-boot-efi-times

%files -n efi-filesystem
%defattr(0700,root,root,-)
%dir /boot/efi
%dir /boot/efi/EFI
%dir /boot/efi/EFI/BOOT
%dir /boot/efi/EFI/%{_efi_vendor_}

%files doc
%doc README

%changelog
* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -5-4
- Optimize spec file

* Thu Feb 09 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 5-3
- add patch to remove arm as an alt for aarch64

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5-2
- add doc package

* Tue Mar 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5-1
- init from upstream version 5 
